
function DropshipDropBomb(self)
	local Bomb = CreateMOSRotating(self.bomb)
	Bomb.Pos = self.Pos + self:RotateOffset(Vector(5, math.abs(self.SpriteOffset.Y) + math.abs(Bomb.SpriteOffset.Y) - 7))
	Bomb.RotAngle = self.angle
	Bomb.Vel = self.Vel
	MovableMan:AddParticle(Bomb)
	
--[	local BombA = CreateMOSRotating(self.bomb)
	BombA.Pos = self.Pos - self:RotateOffset(Vector(5, math.abs(self.SpriteOffset.Y) + math.abs(Bomb.SpriteOffset.Y) - 7))
	BombA.RotAngle = self.angle
	BombA.Vel = self.Vel
	MovableMan:AddParticle(BombA)
	
	self.payload = self.payload - 1
]--
end

function UAVAddIcon(self, Icon, dist)
	Icon.Vel = self.Vel
	Icon.Pos = self.Pos + self:RotateOffset(Vector(0, -math.abs(Icon.SpriteOffset.Y) - math.abs(self.SpriteOffset.Y) - dist))
	MovableMan:AddParticle(Icon)
end

function UAVSecondaryKey()
	return (UInputMan:KeyHeld(24) or UInputMan:KeyHeld(26))	-- X or Z
end

function Create(self)
	--UAVInitialize(self)
	self.DropTimer = Timer()
	self.RotAngle = -0.05
	-- specific for this craft 
	self.occlusion = 75
	self.payload = 6
	self.bomb = "Dummy Cluster Grenade"
	self.payloadRof = 150	-- time in ms between drops
	
end

function Destroy(self)
	
end

function Update(self)
	self.playerCtrl = false
	
	if ToActor(self):IsPlayerControlled() then
		self.playerCtrl = true
	
		-- specific for this craft
		if self.DropTimer:IsPastSimMS(self.payloadRof) and (self:GetController():IsMouseControlled() and UAVSecondaryKey()) or
			(not self:GetController():IsMouseControlled() and self:GetController():IsState(Controller.AIM_SHARP))
		then
			if self.payload > 0 then
				self.DropTimer:Reset()
				
				local Bomb = CreateMOSRotating(self.bomb)
				Bomb.Pos = self.Pos + self:RotateOffset(Vector(5, math.abs(self.SpriteOffset.Y) + math.abs(Bomb.SpriteOffset.Y) - 7))
				Bomb.RotAngle = self.angle
				Bomb.Vel = self.Vel
				MovableMan:AddParticle(Bomb)

				--DropshipDropBomb(self)
				--self:AddInventoryItem(CreateHDFirearm(".", "UAV.rte"))	-- Negative Gold
				
			else
				UAVAddIcon(self, CreateMOSParticle("No Ammo"), 5)
			end
		end
	elseif self.playerCtrl then
		
	end
end